complexType "PartyTradeIdentifier"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 12 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 21 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((issuer, tradeId) | (partyReference?, accountReference?, reportingRole?, (tradeId | versionedTradeId)*))?, linkId*, allocationTradeId*, blockTradeId?, originatingTradeId*, productComponentIdentifier*
</...>

Content Model Elements (12):

  accountReference (defined in PartyAndAccountReferences.model group),
  allocationTradeId (defined in PartyTradeIdentifier complexType),
  blockTradeId,
  issuer (defined in TradeIdentifier complexType),
  linkId,
  originatingTradeId (defined in PartyTradeIdentifier complexType),
  partyReference (defined in PartyAndAccountReferences.model group),
  productComponentIdentifier,
  reportingRole (defined in TradeIdentifier complexType),
  tradeId (defined in TradeIdentifier complexType),
  tradeId (defined in TradeIdentifier complexType),
  versionedTradeId

All Direct / Indirect Based Elements (21):

  feeTradeIdentifier,
  newTradeIdentifier,
  oldTradeIdentifier (in change),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (defined in Portfolio complexType),
  partyTradeIdentifier (defined in TradeIdentifyingItems complexType),
  partyTradeIdentifier (defined in TradeValuationItem complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  partyTradeIdentifier (in valuationReportRetracted),
  partyTradeIdentifier (in verificationStatusNotification),
  partyTradeIdentifier (in withdrawal),
  resultingTradeIdentifier,
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in nonpublicExecutionReportRetracted),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry in terminatingEventsReport),
  tradeIdentifier (in tradeMaturity)

Known Usage Locations

- As direct type of elements (21):
  feeTradeIdentifier,
  newTradeIdentifier,
  oldTradeIdentifier (in change),
  oldTradeIdentifier (in novation),
  partyTradeIdentifier (defined in PartyTradeIdentifiers complexType),
  partyTradeIdentifier (defined in Portfolio complexType),
  partyTradeIdentifier (defined in TradeIdentifyingItems complexType),
  partyTradeIdentifier (defined in TradeValuationItem complexType),
  partyTradeIdentifier (in tradeHeader),
  partyTradeIdentifier (in tradeReferenceInformation),
  partyTradeIdentifier (in valuationReportRetracted),
  partyTradeIdentifier (in verificationStatusNotification),
  partyTradeIdentifier (in withdrawal),
  resultingTradeIdentifier,
  tradeIdentifier (defined in TradeChangeBase complexType),
  tradeIdentifier (in deClear),
  tradeIdentifier (in nonpublicExecutionReportRetracted),
  tradeIdentifier (in optionExercise),
  tradeIdentifier (in optionExpiry defined in Events.model group),
  tradeIdentifier (in optionExpiry in terminatingEventsReport),
  tradeIdentifier (in tradeMaturity)

Annotation
A type defining one or more trade identifiers allocated to the trade by a party. A link identifier allows the trade to be associated with other related trades, e.g. trades forming part of a larger structured transaction. It is expected that for external communication of trade there will be only one tradeId sent in the document per party.
Type Definition Detail

Type Derivation Tree TradeIdentifier (extension) PartyTradeIdentifier

XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="PartyTradeIdentifier"> <xsd:complexContent> <xsd:extension base="TradeIdentifier"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="linkId" type="LinkId"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocationTradeId" type="TradeIdentifier"/> <xsd:element minOccurs="0" name="blockTradeId" type="TradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeIdentifier"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productComponentIdentifier" type="ProductComponentIdentifier"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/12)
allocationTradeId

  Type: | TradeIdentifier, complex content

  The trade id of the allocated trade. This is used by the block trade to reference the allocated trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="allocationTradeId" type="TradeIdentifier"/>

blockTradeId

  Type: | TradeIdentifier, complex content

  The trade id of the block trade. This is used by each one of the allocated trades to reference the block trade. This element can also represent the trade id of the parent trade for N-level allocations. In the case, this element is only used to model N-level allocations in which the trade acts as block and allocated trade at the same time. This basically means the ability to allocate a block trade to multiple allocation trades, and then allocate these in turn to other allocation trades (and so on if desired).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="blockTradeId" type="TradeIdentifier"/>

linkId

  Type: | LinkId, simple content

  A link identifier allowing the trade to be associated with other related trades, e.g. the linkId may contain a tradeId for an associated trade or several related trades may be given the same linkId. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="linkId" type="LinkId"/>

originatingTradeId

  Type: | TradeIdentifier, complex content

  The trade id of the trade(s) upon which this was based, for example the ID of the trade that was submitted for clearing if this is a cleared trade, or of the original trade if this was novated or cancelled and rebooked, or the list of trades that were netted or compressed together in the case of a compression event. The originatingEvent will explain why the trade was created; the existence and number of originatingTradeId elements should correspond to the originatingEvent, and they should be interpreted using that field. If the trade is inside a business event structure (such as a novation or a compression event) this element shuld not be populated; instead the event shoudl be used to represent the other trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="originatingTradeId" type="TradeIdentifier"/>

productComponentIdentifier

  Type: | ProductComponentIdentifier, complex content

  The USIs of the components of this trade, when this trade contains a strategy.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productComponentIdentifier" type="ProductComponentIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.